Bug 207367 - devel/py-icu: Rename to devel/py-pyicu, add LICENSE details, pet portlint
Summary: devel/py-icu: Rename to devel/py-pyicu, add LICENSE details, pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexander Nedotsukov
URL: https://wiki.freebsd.org/Python/Ports...
Keywords: patch, patch-ready
Depends on:
Blocks: 207035
  Show dependency treegraph
 
Reported: 2016-02-20 12:11 UTC by Ben Woods
Modified: 2016-03-19 17:16 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (bland)
koobs: merge-quarterly-


Attachments
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups (4.12 KB, patch)
2016-02-20 12:21 UTC, Ben Woods
no flags Details | Diff
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups (4.16 KB, patch)
2016-02-20 12:29 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for devel/py-pyicu on FreeBSD 10.2 amd64 (21.30 KB, text/plain)
2016-02-20 12:51 UTC, Ben Woods
no flags Details
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups (4.16 KB, patch)
2016-02-20 13:19 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for graphics/mapnik on FreeBSD 10.2 amd64 (439.01 KB, text/plain)
2016-02-20 13:32 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for science/gramps on FreeBSD 10.2 amd64 (207.62 KB, text/plain)
2016-02-20 16:59 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for sysutils/py-freenas.cli on FreeBSD 10.2 amd64 (33.08 KB, text/plain)
2016-02-20 17:00 UTC, Ben Woods
no flags Details
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups (3.61 KB, patch)
2016-03-09 21:49 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-02-20 12:11:54 UTC
Move devel/py-icu to devel/py-pyicu and tidy up port

* PORTNAME devel/py-pyicu should be used rather than devel/py-icu, per policy [1]
* Add LICENSE=MIT as per LICENSE file contained in distfile
* Tidy up MAKE_ENV variable assignment (pet portlint)
* Update WWW in pkg-descr to point to PyPI site, since the old site is down
* Update other ports which depend on devel/py-icu to point to devel/py-pyicu

 [1] https://wiki.freebsd.org/Python/PortsPolicy
Comment 1 Ben Woods freebsd_committer 2016-02-20 12:21:51 UTC
Created attachment 167212 [details]
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups

This patch should be applied after performing the following command:
svn move devel/py-icu devel/py-pyicu
svn patch <insertpatch>
Comment 2 Ben Woods freebsd_committer 2016-02-20 12:29:53 UTC
Created attachment 167213 [details]
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups

This updated patch also adds the LICENSE_FILE details

This patch should be applied after performing the following command:
svn move devel/py-icu devel/py-pyicu
svn patch <insertpatch>
Comment 3 Ben Woods freebsd_committer 2016-02-20 12:51:01 UTC
Created attachment 167214 [details]
QA: Successful poudriere testport logs for devel/py-pyicu on FreeBSD 10.2 amd64
Comment 4 Ben Woods freebsd_committer 2016-02-20 13:19:10 UTC
Created attachment 167216 [details]
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups

This updated patch corrects the dependent ports to use the correct BUILD_DEPENDS and RUN_DEPENDS:
${PYTHON_PKGNAMEPREFIX}pyicu>0:${PORTSDIR}/devel/py-pyicu

This patch should be applied after performing the following command:
svn move devel/py-icu devel/py-pyicu
svn patch <insertpatch>
Comment 5 Ben Woods freebsd_committer 2016-02-20 13:32:56 UTC
Created attachment 167217 [details]
QA: Successful poudriere testport logs for graphics/mapnik on FreeBSD 10.2 amd64
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-20 14:04:46 UTC
Great changeset Ben :)

It's probably best not to MFH this change, given the lack of warranted 'fixes', and given any prior to commits to dependent ports would also need to be merged.
Comment 7 Ben Woods freebsd_committer 2016-02-20 16:59:20 UTC
Created attachment 167222 [details]
QA: Successful poudriere testport logs for science/gramps on FreeBSD 10.2 amd64
Comment 8 Ben Woods freebsd_committer 2016-02-20 17:00:53 UTC
Created attachment 167223 [details]
QA: Successful poudriere testport logs for sysutils/py-freenas.cli on FreeBSD 10.2 amd64
Comment 9 Ben Woods freebsd_committer 2016-03-09 21:49:10 UTC
Created attachment 167940 [details]
Patch to move devel/py-icu to devel/py-pyicu (using svn move) and tidy-ups

This updated patch removes the changes to graphics/mapnik, as it no longer depends on devel/py-icu.

As before, this patch should be applied after performing the following command:
svn move devel/py-icu devel/py-pyicu
svn patch <insertpatch>
Comment 10 commit-hook freebsd_committer 2016-03-19 17:12:35 UTC
A commit references this bug:

Author: feld
Date: Sat Mar 19 17:11:59 UTC 2016
New revision: 411415
URL: https://svnweb.freebsd.org/changeset/ports/411415

Log:
  Move devel/py-icu to devel/py-pyicu

  * PORTNAME devel/py-pyicu should be used rather than devel/py-icu, per policy [1]
  * Add LICENSE=MIT as per LICENSE file contained in distfile
  * Tidy up MAKE_ENV variable assignment (pet portlint)
  * Update WWW in pkg-descr to point to PyPI site, since the old site is down
  * Update other ports which depend on devel/py-icu to point to devel/py-pyicu

  [1] https://wiki.freebsd.org/Python/PortsPolicy

  PR:		207367
  Approved by:	maintainer timeout

Changes:
  head/MOVED
  head/devel/Makefile
  head/devel/py-icu/
  head/devel/py-pyicu/
  head/devel/py-pyicu/Makefile
  head/devel/py-pyicu/pkg-descr
  head/science/gramps/Makefile
  head/sysutils/py-freenas.cli/Makefile
Comment 11 Mark Felder freebsd_committer 2016-03-19 17:16:58 UTC
Committed with minor changes, thanks!

I did PORTREVISION bumps to ensure nobody will get stuck in a situation where they have one package depending on old name and another on the new name.